Summary:	Shows information about a local user
Summary(pl.UTF-8):	Pokazuje informacje o lokalnych użytkownikach
Name:		userinfo
Version:	2.3
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/userinfo/%{name}-%{version}.tar.bz2
# Source0-md5:	d0d080c64608b4f931ab21b11d50831b
Patch0:		%{name}-utmpx.patch
URL:		http://userinfo.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
Requires:	utempter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
userinfo is a small console utility which shows as much information
about a local user as possible. Output options include: password file
info, mail info, login info and more.

%description -l pl.UTF-8
userinfo jest małym konsolowym narzędziem, które pokazuje tyle
informacji o lokalnym użytkowniku, ile to tylko możliwe. Wyświetla:
informację z plików passwd, mail info, login info i wiele innych

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-aliases=/etc/mail/aliases

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog KnownBugs NEWS README contrib/lastusers.sh doc/README.modules
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
# what about /usr/lib/userinfo/{login.la,mail.la,passwd.la} ?
%attr(755,root,root) %{_libdir}/%{name}/*.so
%{_mandir}/man1/*1.*
%changelog
* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2036ede
- updated to 2.3
- new URL

* Sun Jul 12 2009 Tomasz Pala <gotar@pld-linux.org> 395cbaa
- upgraded to 2.2, updated URL, fixed build, package more docs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> cce2876
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fa8965c
- converted to UTF-8

* Mon Aug 08 2005 blekot <blekot@pld-linux.org> 596ffe6
- up to 2.1

* Mon Aug 08 2005 blekot <blekot@pld-linux.org> 6a24bc6
- up to 2.1
- still rel 0.1 (Does somebody know why previous release was non integer?)

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 3086351
- BR: libtool

* Mon Feb 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 13b94bb
- missing dir, cleanup

* Mon Feb 07 2005 Paweł Gołaszewski <blues@pld-linux.org> a5c66a4
- cosmetics

* Mon Feb 07 2005 petec <petec@pld-linux.org> 3c43025
- updated to 2.0

* Mon Jun 07 2004 ankry <ankry@pld-linux.org> ee04c4a
- obsolete

* Mon Jun 07 2004 ankry <ankry@pld-linux.org> 9b2495f
- updated to 1.10a

* Mon Jun 07 2004 ankry <ankry@pld-linux.org> 68ce93b
- removed obsolete patch, kill libtoolize

* Tue Jun 24 2003 ankry <ankry@pld-linux.org> 27674b6
- 1.10a, untested

* Tue Jun 24 2003 ankry <ankry@pld-linux.org> 9747add
- md5

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 149ec67
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1547d0e
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Nov 29 2002 ankry <ankry@pld-linux.org> b9f10ff
- massive attack: new %%doc

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 1ec9e55
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Sun Jun 23 2002 kloczek <kloczek@pld-linux.org> bf29284
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

